HttpRequest::setHeaders
HttpRequest::setOptions
HttpRequest
PHP Manual

# HttpRequest::setMethod

(PECL pecl_http >= 0.10.0)

HttpRequest::setMethod — Set method

### Description

public bool HttpRequest::setMethod ( int `$request_method` )

Set the request method.

### Parameters

`request_method`

  the request method to use

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setHeaders
HttpRequest::setOptions
HttpRequest
PHP Manual